| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
AnalysisTest Namespace Reference

## Functions
def | electron (c)
def | initialize ()
def | execute ()

## Variables
list | sel = evt['Phys/PhysSel']

## Function Documentation

def AnalysisTest.electron | ( |  | c | ) |

Definition at line 6 of file AnalysisTest.py.

6 def electron(c):
7 #-------------------------------------------------------------
8 if c : return 1
9 return 0
10
11 #-------------------------------------------------------------
AnalysisTest.electron
def electron(c)
Definition: AnalysisTest.py:6

def AnalysisTest.execute | ( |  | ) |

Definition at line 25 of file AnalysisTest.py.

25 def execute():
26 #-------------------------------------------------------------
27 global cands
28 cands = evt['Anal/AxParticleCandidates']
29
30 electrons = select(cands,electron)
31 print 'MyTracks collection contains ' + `len(tks)` + ' tracks and ' + `len(electrons)` + ' electrons'
32
33
34 #-------End of declarative part-----------------------------------------------------
35
36 #g.run(10)
37 #excel.plot(h1)
38
39 g.run(1)
AnalysisTest.execute
def execute()
Definition: AnalysisTest.py:25
AnalysisInit.select
def select(list, sel)
Definition: AnalysisInit.py:29

def AnalysisTest.initialize | ( |  | ) |

Definition at line 12 of file AnalysisTest.py.

12 def initialize():
13 #-------------------------------------------------------------
14 global h0, h1, h2
15 try:
16 h0 = his.histo('h0')
17 h1 = his.histo('h1')
18 h2 = his.histo('h2')
19 except:
20 h0 = his.book('h0', 'Histogram 1D for random tests', 35, -10., 10.)
21 h1 = his.book('h1', 'Histogram 1D for tests', 20, 0., 40.)
22 h2 = his.book('h2', 'Histogram 2D for test2', 20, 0., 40., 20, 0., 10.)
23
24 #-------------------------------------------------------------
AnalysisTest.initialize
def initialize()
Definition: AnalysisTest.py:12

## Variable Documentation

list AnalysisTest.sel = evt['Phys/PhysSel']

Definition at line 40 of file AnalysisTest.py.